Security Enhanced Linux Reference Policy

# Layer: services

## Module: ricci

Interfaces

### Description:

Ricci cluster management agent

### Interfaces:

ricci_domtrans( domain )

##### Summary

Execute a domain transition to run ricci.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modcluster( domain )

##### Summary

Execute a domain transition to run ricci_modcluster.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modlog( domain )

##### Summary

Execute a domain transition to run ricci_modlog.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modrpm( domain )

##### Summary

Execute a domain transition to run ricci_modrpm.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modservice( domain )

##### Summary

Execute a domain transition to run ricci_modservice.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modstorage( domain )

##### Summary

Execute a domain transition to run ricci_modstorage.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_dontaudit_rw_modcluster_pipes( domain )

##### Summary

Do not audit attempts to read write ricci_modcluster unamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of process not to audit.

ricci_dontaudit_use_modcluster_fds( domain )

##### Summary

Do not audit attempts to use ricci_modcluster file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of process not to audit.

ricci_stream_connect_modclusterd( domain )

##### Summary

Connect to ricci_modclusterd over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return